#ifndef TEST_RING_BUFFER_H
#define TEST_RING_BUFFER_H

/*!
  \file
  \brief ring_buffer のテスト

  \author Satofumi KAMIMURA

  $Id: Test_ring_buffer.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


//! RingBuffer のテストクラス
class RingBufferTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(RingBufferTest);
    CPPUNIT_TEST(capacityTest);
    CPPUNIT_TEST(putTest);
    CPPUNIT_TEST(rotateTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void capacityTest(void);
    void putTest(void);
    void rotateTest(void);
};

#endif /* !TEST_RING_BUFFER_H */
